XMPException
Date: 2012-05-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.adobe.xmp
Class XMPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.adobe.xmp.XMPException

All Implemented Interfaces:
  java.io.Serializable

    public class XMPException

extends java.lang.Exception

This exception wraps all errors that occur in the XMP Toolkit.

Since:
  16.02.2006
See Also:
  Serialized Form

Constructor Summary
`XMPException(java.lang.String message, int errorCode)` Constructs an exception with a message and an error code.
`XMPException(java.lang.String message, int errorCode, java.lang.Throwable t)` Constructs an exception with a message, an error code and a `Throwable`

Method Summary
`int` | `getErrorCode()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMPException

    public XMPException(java.lang.String message,
                        int errorCode)

  Constructs an exception with a message and an error code.

  Parameters:
    `message` - the message
    `errorCode` - the error code

### XMPException

    public XMPException(java.lang.String message,
                        int errorCode,
                        java.lang.Throwable t)

  Constructs an exception with a message, an error code and a `Throwable`

  Parameters:
    `message` - the error message.
    `errorCode` - the error code
    `t` - the exception source

Method Detail

### getErrorCode

    public int getErrorCode()

  Returns:
    Returns the errorCode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2007 Adobe Systems Inc. All Rights Reserved.